=== debian/changelog ===
kf6-networkmanager-qt (6.19.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:35:03 +0000

kf6-networkmanager-qt (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:13:01 +0000
