=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libnm-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-networkmanager-qt.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-networkmanager-qt
Maintainer: Neon CI <neon@kde.org>

Package: kf6-networkmanager-qt
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6networkmanagerqt-data, libkf6networkmanagerqt6
Description: Qt wrapper for NetworkManager - library (documentation)
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the qch documentation files.

Package: kf6-networkmanager-qt-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-networkmanager-qt (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6networkmanagerqt-dev, libkf6networkmanagerqt-doc
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf6networkmanagerqt6
Architecture: all
Depends: kf6-networkmanager-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-data
Architecture: all
Depends: kf6-networkmanager-qt, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-dev
Architecture: all
Depends: kf6-networkmanager-qt-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6networkmanagerqt-doc
Architecture: all
Depends: kf6-networkmanager-qt-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
