=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251008.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:37:19 +0000
