=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251019.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:52:38 +0000
