=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vstable+git20251023.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:56:01 +0000
