## kf6-networkmanager-qt 6.19.0+p24.04+vunstable+git20251020.0204

=== debian/changelog ===
kf6-networkmanager-qt (6.19.0+p24.04+vunstable+git20251020.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:04:14 +0000
