=== debian/changelog ===
kf6-networkmanager-qt (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:09 +0000

kf6-networkmanager-qt (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:46 +0000

kf6-networkmanager-qt (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:36 +0100
