=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vstable+git20260103.0154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:54:11 +0000
