## kf6-networkmanager-qt 6.21.0+p24.04+vunstable+git20251207.0602

=== debian/changelog ===
kf6-networkmanager-qt (6.21.0+p24.04+vunstable+git20251207.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:02:51 +0000
