## kf6-networkmanager-qt 6.22.0+p24.04+vstable+git20260116.0254

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vstable+git20260116.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:54:33 +0000

kf6-networkmanager-qt (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:45 +1000
