## kf6-networkmanager-qt 6.22.0+p24.04+vunstable+git20260111.0133

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vunstable+git20260111.0133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:33:11 +0000
