## kf6-networkmanager-qt 6.22.0+p24.04+vunstable+git20260129.0249

=== debian/changelog ===
kf6-networkmanager-qt (6.22.0+p24.04+vunstable+git20260129.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:49:23 +0000
