=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
# Skip tests requiring network
export EXCLUDED_TESTS = managertest|settingstest|activeconnectiontest

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dh_auto_test -Skf6 -- ARGS+="-E \"^(${EXCLUDED_TESTS})\""
